Subject: Re: What's cooking in git.git (Dec 2020, #03; Fri, 18)

From: Junio C Hamano <[email-masked]>
Date: Mon, 21 Dec 2020 10:01:47 -0800

Han-Wen Nienhuys <[email-masked]> writes:

> On Sat, Dec 19, 2020 at 6:36 AM Junio C Hamano <[email-masked]> wrote:
>
>> * hn/reftable (2020-12-09) 15 commits
>>  . Add "test-tool dump-reftable" command.
>>  . git-prompt: prepare for reftable refs backend
>>  . Reftable support for git-core
>>  . reftable: rest of library
>>  . reftable: reftable file level tests
>>  . reftable: read reftable files
>>  . reftable: write reftable files
>>  . reftable: a generic binary tree implementation
>>  . reftable: reading/writing blocks
>>  . reftable: (de)serialization for the polymorphic record type.
>>  . reftable: add blocksource, an abstraction for random access reads
>>  . reftable: utility functions
>>  . reftable: add error related functionality
>>  . reftable: add LICENSE
>>  . init-db: set the_repository->hash_algo early on
>>
>>  The "reftable" backend for the refs API.
>>
>>  Ejected for now, as it has been breaking the tip of 'seen' for too
>>  long.
>
>
> Can you provide more information here? The PR at
> https://github.com/git/git/pull/847 passes all tests (except for the
> VSBuild, with errors that seem unrelated.)

Sorry, but it has been a long time that I have no more detail than
the above handy.  Older CI history might know more, but I have no
time to dig that right now (and I'd be just as efficient as you
would for doing such things).

I can try including it in one of the today's pushout of 'seen' and
see what breaks, which would be the easiest ;-)

Thanks for pinging.